Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface INonDeliveryReport

All Superinterfaces:
  IGroupwareItem, IItem, IMailMessage, IMessage, IMessagingItem, IReport, java.io.Serializable

All Known Subinterfaces:
  IExchangeNonDeliveryReport

public interface INonDeliveryReport
extends IMailMessage, IReport

The `INonDeliveryReport` interface represents the message that is sent when a delivery failure has occurred. Delivery failures occur when the target mail subsystem could not be contacted or refused to accept the sent message. The item class is `item.non_delivery_report`.

Field Summary
`static ItemClass` | `CLASS` The item class of `INonDeliveryReport`.
`static int` | `KEYID_UNREACHABLE_RECIPIENTS` The `int` ID for the `UNREACHABLE_RECIPIENTS` key.
`static Key` | `UNREACHABLE_RECIPIENTS` Key that represents the original recipients of the message that could not be contact for delivery.

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.groupware.IReport
`KEYID_ORIGINAL_SUBJECT, ORIGINAL_SUBJECT`

Method Summary
`IMailRecipient[]` | `getUnreachableRecipients()` Gets the recipients off of the message represented by this report that could not be contacted for delivery.

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.groupware.IReport
`getOriginalSubject`

Field Detail

### KEYID_UNREACHABLE_RECIPIENTS

    public static final int KEYID_UNREACHABLE_RECIPIENTS

  The `int` ID for the `UNREACHABLE_RECIPIENTS` key.

### UNREACHABLE_RECIPIENTS

    public static final Key UNREACHABLE_RECIPIENTS

  Key that represents the original recipients of the message that could not be contact for delivery.

### CLASS

    public static final ItemClass CLASS

  The item class of `INonDeliveryReport`.

Method Detail

### getUnreachableRecipients

    public IMailRecipient[] getUnreachableRecipients()
                                              throws CollaborationException

  Gets the recipients off of the message represented by this report that could not be contacted for delivery.
  Returns:
    the unreachable recipients.
  Throws:
    `CollaborationException` - if there was a problem retrieving the ' unreachable recipients.
  See Also:
    `UNREACHABLE_RECIPIENTS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.